dbXML API

## org.dbxml.core.corba.db
Class FaultCodesPOATie

    java.lang.Object
      |
      +--org.omg.PortableServer.Servant
            |
            +--org.dbxml.core.corba.db.FaultCodesPOA
                  |
                  +--org.dbxml.core.corba.db.FaultCodesPOATie

All Implemented Interfaces:
  FaultCodesOperations, org.omg.CORBA.portable.InvokeHandler

public class FaultCodesPOATie
extends FaultCodesPOA

Generated from IDL definition of interface "FaultCodes"

Author:
  JacORB IDL compiler

Constructor Summary
`FaultCodesPOATie(FaultCodesOperations delegate)`
`FaultCodesPOATie(FaultCodesOperations delegate, org.omg.PortableServer.POA poa)`

Method Summary
`FaultCodesOperations` `_delegate()`
`void` `_delegate(FaultCodesOperations delegate)`
`FaultCodes` `_this()`
`FaultCodes` `_this(org.omg.CORBA.ORB orb)`

Methods inherited from class org.dbxml.core.corba.db.FaultCodesPOA
`_all_interfaces, _invoke`

Methods inherited from class org.omg.PortableServer.Servant
`_default_POA, _get_delegate, _get_interface_def, _get_interface, _is_a, _non_existent, _object_id, _orb, _orb, _poa, _set_delegate, _this_object, _this_object`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FaultCodesPOATie

    public FaultCodesPOATie(FaultCodesOperations delegate)

### FaultCodesPOATie

    public FaultCodesPOATie(FaultCodesOperations delegate,
                            org.omg.PortableServer.POA poa)

Method Detail

### _this

    public FaultCodes _this()

  Overrides:
    `_this` in class `FaultCodesPOA`

### _this

    public FaultCodes _this(org.omg.CORBA.ORB orb)

  Overrides:
    `_this` in class `FaultCodesPOA`

### _delegate

    public FaultCodesOperations _delegate()

### _delegate

    public void _delegate(FaultCodesOperations delegate)

dbXML API

Copyright (c) 1999-2001 The dbXML Group, All rights reserved